## fcitx-qimpanel 0.1.0

=== CMakeLists.txt ===
project(fcitx-qimpanel)
cmake_minimum_required(VERSION 2.8.6)

find_package(Fcitx 4.2.7 REQUIRED)
find_package(Qt4 REQUIRED)

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} 
    ${CMAKE_CURRENT_SOURCE_DIR})

SET(fcitx-qimpanel_TRANS po/zh_CN.ts)
SET(fcitx-qimpanel_RCCS qml.qrc)
set(fcitx-qimpanel_SRCS main.cpp main_controller.cpp toplevel.cpp
    main_model.cpp kimpanelagent.cpp candidate_word.cpp system_tray_menu.cpp 
    my_action.cpp cfg/readwritecfg.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp)
QT4_ADD_DBUS_ADAPTOR(fcitx-qimpanel_SRCS
    org.kde.impanel.xml
    kimpanelagent.h
    PanelAgent)
QT4_ADD_TRANSLATION(fcitx-qimpanel_TRAN_SRCS ${fcitx-qimpanel_TRANS})
QT4_ADD_RESOURCES(fcitx-qimpanel_RCC_SRCS ${fcitx-qimpanel_RCCS})

add_executable(fcitx-qimpanel ${fcitx-qimpanel_SRCS} ${fcitx-qimpanel_TRAN_SRCS}
    ${fcitx-qimpanel_RCC_SRCS})
set_target_properties(fcitx-qimpanel PROPERTIES AUTOMOC TRUE)
target_link_libraries(fcitx-qimpanel fcitx-config fcitx-utils
    ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} 
    ${QT_QTDBUS_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})

install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES ${fcitx-qimpanel_TRAN_SRCS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/fcitx-qimpanel)

add_subdirectory(uk-default-skin)

=== uk-default-skin/CMakeLists.txt ===

set(package     fcitx)
set(prefix      ${CMAKE_INSTALL_PREFIX})
set(pkgdatadir ${prefix}/share/${package})

foreach(skin ubuntukylin-dark1 ubuntukylin-dark2 ubuntukylin-light1 ubuntukylin-light2)
    install(DIRECTORY ${skin} DESTINATION ${pkgdatadir}/skin)
endforeach(skin default classic dark)

=== debian/changelog ===
fcitx-qimpanel (0.1.0-0ubuntu1) saucy; urgency=low

  * Initial release. (LP: #1226492)

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 16 Sep 2013 22:08:33 +0800

=== debian/control ===
Source: fcitx-qimpanel
Section: utils
Priority: optional
Maintainer: Aron Xu <happyaron@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               fcitx-libs-dev (>= 1:4.2.8.1),
               libqt4-dev (>= 4:4.8.0)
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/fcitx

Package: fcitx-ui-qimpanel
Architecture: any
Depends: fcitx-bin,
         fcitx-data (>= 1:4.2.8.1),
         fcitx-modules,
         fcitx-module-dbus (>= 1:4.2.8.1),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fcitx (>= 1:4.2.8.1)
Breaks: fcitx (<< 1:4.2.8.1)
Description: Flexible Input Method Framework - Qt IMPanel user interface
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 This package provides the Qt IMPanel user interface developed by
 UbuntuKylin Team.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@  --parallel
override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## fcitx-qimpanel 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,13 +11,16 @@
 SET(fcitx-qimpanel_RCCS qml.qrc)
 set(fcitx-qimpanel_SRCS main.cpp main_controller.cpp toplevel.cpp
     main_model.cpp kimpanelagent.cpp candidate_word.cpp system_tray_menu.cpp 
-    my_action.cpp cfg/readwritecfg.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp)
+    my_action.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp
+    skin/skinsogou.cpp)
 QT4_ADD_DBUS_ADAPTOR(fcitx-qimpanel_SRCS
     org.kde.impanel.xml
     kimpanelagent.h
     PanelAgent)
 QT4_ADD_TRANSLATION(fcitx-qimpanel_TRAN_SRCS ${fcitx-qimpanel_TRANS})
 QT4_ADD_RESOURCES(fcitx-qimpanel_RCC_SRCS ${fcitx-qimpanel_RCCS})
+
+configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h)
 
 add_executable(fcitx-qimpanel ${fcitx-qimpanel_SRCS} ${fcitx-qimpanel_TRAN_SRCS}
     ${fcitx-qimpanel_RCC_SRCS})
@@ -26,7 +29,9 @@
     ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} 
     ${QT_QTDBUS_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
 
-install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
-install(FILES ${fcitx-qimpanel_TRAN_SRCS} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/fcitx-qimpanel)
+set(pkgbindir 	/usr/bin/)
+set(pkgdatadir 	/usr/share/fcitx-qimpanel)
+install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${pkgbindir})
+install(FILES ${fcitx-qimpanel_TRAN_SRCS} DESTINATION ${pkgdatadir})
 
 add_subdirectory(uk-default-skin)

=== uk-default-skin/CMakeLists.txt ===

set(pkgbindir 	/usr/bin/)
set(pkgdatadir 	/usr/share/fcitx-qimpanel)

foreach(skin ubuntukylin-dark1 ubuntukylin-dark2 ubuntukylin-light1 ubuntukylin-light2)
    install(DIRECTORY ${skin} DESTINATION ${pkgdatadir}/skin)
endforeach(skin default classic dark)

=== debian/changelog ===
fcitx-qimpanel (0.1.5-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 20 Mar 2014 19:21:52 +0800

fcitx-qimpanel (0.1.4-0ubuntu2) trusty; urgency=low

  * Add fcitx-qimpanel-configtool to Recommends.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 06 Mar 2014 11:57:58 +0800

fcitx-qimpanel (0.1.4-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * Invoke with exec to save a PID.

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 18 Feb 2014 09:11:10 +0800

fcitx-qimpanel (0.1.3-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 17 Dec 2013 00:59:53 +0800

fcitx-qimpanel (0.1.2-0ubuntu1) trusty; urgency=low

  * New upstream release:
    Improved skin support.

 -- Aron Xu <happyaron@ubuntu.com>  Sat, 07 Dec 2013 01:15:48 +0800

fcitx-qimpanel (0.1.1-0ubuntu1) trusty; urgency=low

  * New upstream release:
    Add experimental support of sogou skins.

 -- Aron Xu <happyaron@ubuntu.com>  Tue, 19 Nov 2013 12:27:05 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
          fcitx-module-dbus (>= 1:4.2.8.1),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: fcitx (>= 1:4.2.8.1)
+Recommends: fcitx (>= 1:4.2.8.1), fcitx-qimpanel-configtool (>= ${source:Upstream-Version})
 Breaks: fcitx (<< 1:4.2.8.1)
 Description: Flexible Input Method Framework - Qt IMPanel user interface
  Fcitx is a input method framework with extension support, which provides
@@ -25,4 +25,4 @@
  using a variety of mapping systems.
  .
  This package provides the Qt IMPanel user interface developed by
- UbuntuKylin Team.
+ Ubuntu Kylin Team.

## fcitx-qimpanel 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,7 @@
 SET(fcitx-qimpanel_RCCS qml.qrc)
 set(fcitx-qimpanel_SRCS main.cpp main_controller.cpp toplevel.cpp
     main_model.cpp kimpanelagent.cpp candidate_word.cpp system_tray_menu.cpp 
-    my_action.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp
-    skin/skinsogou.cpp)
+    my_action.cpp skin/skinmenu.cpp skin/skinbase.cpp skin/skinfcitx.cpp)
 QT4_ADD_DBUS_ADAPTOR(fcitx-qimpanel_SRCS
     org.kde.impanel.xml
     kimpanelagent.h
@@ -35,3 +34,4 @@
 install(FILES ${fcitx-qimpanel_TRAN_SRCS} DESTINATION ${pkgdatadir})
 
 add_subdirectory(uk-default-skin)
+add_subdirectory(config-tool)

=== config-tool/CMakeLists.txt ===
project(fcitx-qimpanel-configtool)
cmake_minimum_required(VERSION 2.8.6)

find_package(Fcitx 4.2.7 REQUIRED)
find_package(Qt4 REQUIRED)

include_directories(BEFORE ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR} 
    ${CMAKE_CURRENT_SOURCE_DIR})

SET(fcitx-qimpanel-configtool_TRANS po/fcitx_skin_zh_CN.ts)
SET(fcitx-qimpanel-configtool_RCCS main.qrc)

set(fcitx-qimpanel-configtool_SRCS main.cpp 
    mainwindow.cpp 
    main_model.cpp
    candidate_word.cpp
    editingskindialog.cpp
    skin/skinbase.cpp
    skin/skinfcitx.cpp    
    )
set(fcitx-qimpanel-configtool_FORMS mainwindow.ui
    editingskindialog.ui
    )

QT4_ADD_TRANSLATION(fcitx-qimpanel-configtool_TRAN_SRCS ${fcitx-qimpanel-configtool_TRANS})
QT4_ADD_RESOURCES(fcitx-qimpanel-configtool_RCC_SRCS ${fcitx-qimpanel-configtool_RCCS})
QT4_WRAP_UI(helloworld_FORMS_HEADERS ${fcitx-qimpanel-configtool_FORMS})

add_executable(fcitx-qimpanel-configtool ${fcitx-qimpanel-configtool_SRCS} ${fcitx-qimpanel-configtool_TRAN_SRCS}
    ${fcitx-qimpanel-configtool_RCC_SRCS} ${fcitx-qimpanel-configtool_FORMS})
set_target_properties(fcitx-qimpanel-configtool PROPERTIES AUTOMOC TRUE)

target_link_libraries(fcitx-qimpanel-configtool fcitx-utils
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    #${QT_QTNETWORK_LIBRARY}
    )
install(FILES fcitx_ubuntukylin.png DESTINATION /usr/share/pixmaps)
install(FILES fcitx-qimpanel-configtool.desktop DESTINATION /usr/share/applications)
set(pkgbindir 	/usr/bin/)
set(pkgdatadir 	/usr/share/fcitx-qimpanel)
install(TARGETS fcitx-qimpanel-configtool RUNTIME DESTINATION ${pkgbindir})
install(FILES ${fcitx-qimpanel-configtool_TRAN_SRCS} DESTINATION ${pkgdatadir})

## fcitx-qimpanel 2.1.0

=== CMakeLists.txt ===
project(fcitx-qimpanel)
cmake_minimum_required(VERSION 2.8.6)

find_package(Fcitx 4.2.7 REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5QuickWidgets REQUIRED)
find_package(Qt5Widgets REQUIRED)

include_directories(
    ${Qt5DBus_INCLUDE_DIRS}
    ${Qt5Quick_INCLUDE_DIRS}
    ${Qt5QuickWidgets_INCLUDE_DIRS}
    ${Qt5Widgets_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR})

SET(fcitx-qimpanel_RCCS qml.qrc)
set(fcitx-qimpanel_SRCS main.cpp main_controller.cpp toplevel.cpp
    main_model.cpp kimpanelagent.cpp candidate_word.cpp system_tray_menu.cpp 
    my_action.cpp skin/skinbase.cpp skin/skinfcitx.cpp)
QT5_ADD_DBUS_ADAPTOR(fcitx-qimpanel_SRCS
    org.kde.impanel.xml
    kimpanelagent.h
    PanelAgent)

QT5_ADD_RESOURCES(fcitx-qimpanel_RCC_SRCS ${fcitx-qimpanel_RCCS})

configure_file(${PROJECT_SOURCE_DIR}/config.h.in ${PROJECT_BINARY_DIR}/config.h)

add_executable(fcitx-qimpanel ${fcitx-qimpanel_SRCS} ${fcitx-qimpanel_TRAN_SRCS}
    ${fcitx-qimpanel_RCC_SRCS})
set_target_properties(fcitx-qimpanel PROPERTIES AUTOMOC TRUE)
target_link_libraries(
    fcitx-qimpanel
    fcitx-config
    fcitx-utils
    ${Qt5DBus_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
    ${Qt5QuickWidgets_LIBRARIES}
    ${Qt5Widgets_LIBRARIES})

set(pkgbindir 	/usr/bin/)
set(pkgdatadir 	/usr/share/fcitx-qimpanel)
install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${pkgbindir})
install(FILES ${fcitx-qimpanel_TRAN_SRCS} DESTINATION ${pkgdatadir})

add_subdirectory(ubuntu-default-skin)
add_subdirectory(config-tool)
add_subdirectory(po)

=== config-tool/CMakeLists.txt ===
project(fcitx-qimpanel-configtool)
cmake_minimum_required(VERSION 2.8.6)

find_package(Fcitx 4.2.7 REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Quick REQUIRED)
find_package(Qt5QuickWidgets REQUIRED)

include_directories(BEFORE
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR})

SET(fcitx-qimpanel-configtool_RCCS main.qrc)

set(fcitx-qimpanel-configtool_SRCS main.cpp 
    mainwindow.cpp 
    main_model.cpp
    candidate_word.cpp
    editingskindialog.cpp
    skin/skinbase.cpp
    skin/skinfcitx.cpp    
    )
set(fcitx-qimpanel-configtool_FORMS mainwindow.ui
    editingskindialog.ui
    )

QT5_ADD_RESOURCES(fcitx-qimpanel-configtool_RCC_SRCS ${fcitx-qimpanel-configtool_RCCS})
QT5_WRAP_UI(helloworld_FORMS_HEADERS ${fcitx-qimpanel-configtool_FORMS})

add_executable(fcitx-qimpanel-configtool ${fcitx-qimpanel-configtool_SRCS} ${fcitx-qimpanel-configtool_TRAN_SRCS}
    ${fcitx-qimpanel-configtool_RCC_SRCS} ${fcitx-qimpanel-configtool_FORMS})
set_target_properties(fcitx-qimpanel-configtool PROPERTIES AUTOMOC TRUE)

target_link_libraries(
    fcitx-qimpanel-configtool
    fcitx-utils
    ${Qt5DBus_LIBRARIES}
    ${Qt5Quick_LIBRARIES}
    ${Qt5QuickWidgets_LIBRARIES})
install(FILES fcitx_ubuntukylin.png DESTINATION /usr/share/pixmaps)
install(FILES fcitx-qimpanel-configtool.desktop DESTINATION /usr/share/applications)
set(pkgbindir 	/usr/bin/)
set(pkgdatadir 	/usr/share/fcitx-qimpanel)
install(TARGETS fcitx-qimpanel-configtool RUNTIME DESTINATION ${pkgbindir})
install(FILES ${fcitx-qimpanel-configtool_TRAN_SRCS} DESTINATION ${pkgdatadir})

=== po/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
find_package(Gettext REQUIRED)

SET(POT_FILE
  fcitx-qimpanel.pot
)

FILE(GLOB PO_FILES
  *.po
)

SET(MO_FILE fcitx-qimpanel.mo)

FOREACH(_file ${PO_FILES})
  GET_FILENAME_COMPONENT(_lang ${_file} NAME_WE)
  SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
  ADD_CUSTOM_COMMAND(OUTPUT ${_gmoFile}
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_file}
    COMMAND install -D ${_gmoFile} ${CMAKE_CURRENT_BINARY_DIR}/locale/${_lang}/LC_MESSAGES/${MO_FILE}
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    DEPENDS ${_file}
  )
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION /usr/share/locale/${_lang}/LC_MESSAGES/ RENAME ${MO_FILE})
  _GETTEXT_GET_UNIQUE_TARGET_NAME( pofiles uniqueTargetName)
  ADD_CUSTOM_TARGET(${uniqueTargetName} ALL DEPENDS ${_gmoFile})
ENDFOREACH(_file)

ADD_CUSTOM_COMMAND(OUTPUT ${POT_FILE}
  COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/update-qimpanel-pot
)
ADD_CUSTOM_TARGET(pot_file
  DEPENDS ${POT_FILE}
)

=== debian/changelog ===
fcitx-qimpanel (2.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Aron Xu <happyaron.xu@gmail.com>  Fri, 20 Mar 2015 17:29:06 +0800

fcitx-qimpanel (2.0.0-0ubuntu1) vivid; urgency=medium

  * New upstream release.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 05 Mar 2015 15:11:07 +0800

fcitx-qimpanel (1.1.0-0ubuntu3) vivid; urgency=medium

  * Add fcitx-module-kimpanel to Depends.

 -- Aron Xu <happyaron@ubuntu.com>  Thu, 12 Feb 2015 13:18:10 +0800

fcitx-qimpanel (1.1.0-0ubuntu2) vivid; urgency=medium

  * Move autostart binary out of PATH

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 09 Feb 2015 13:49:31 +0800

fcitx-qimpanel (1.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release (LP: #1408514)

 -- Aron Xu <happyaron@ubuntu.com>  Fri, 06 Feb 2015 21:12:56 +0800

fcitx-qimpanel (1.0.0-0ubuntu1) utopic; urgency=low

  * New upstream release
    - sync code with sogou-qimpanel
    - merge fcitx-qimpanel-configtool
  * debian/copyright: update
  * debian/control: add Breaks and Replaces

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 15 Sep 2014 21:35:45 +0800

fcitx-qimpanel (0.1.6-0ubuntu1) utopic; urgency=low

  * New upstream release

 -- Aron Xu <happyaron@ubuntu.com>  Mon, 28 Jul 2014 05:04:50 +0800

=== debian/control ===
Source: fcitx-qimpanel
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               fcitx-libs-dev (>= 1:4.2.8.1),
               qtbase5-dev,
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: http://github.com/lenky0401/fcitx-qimpanel

Package: fcitx-ui-qimpanel
Architecture: any
Depends: fcitx-bin,
         fcitx-data (>= 1:4.2.8.1),
         fcitx-modules,
         fcitx-module-dbus (>= 1:4.2.8.1),
         fcitx-module-kimpanel (>= 1:4.2.8.1),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fcitx (>= 1:4.2.8.1)
Breaks: fcitx (<< 1:4.2.8.1), fcitx-qimpanel-configtool
Replaces: fcitx-qimpanel-configtool
Description: Flexible Input Method Framework - Qt IMPanel user interface
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 This package provides the Qt IMPanel user interface developed by
 Ubuntu Kylin Team.

## fcitx-qimpanel 2.1.2

=== CMakeLists.txt ===
project(fcitx-qimpanel)
cmake_minimum_required(VERSION 2.8.6)
option(QT_5 "This is a option for QT_5" OFF)
option(QT_4 "This is a option for QT_4" ON)
SET(CMAKE_C_FLAGS "-std=c++11 -g -O0  ${CMAKE_C_FLAGS} ${HARDENED_C_FLAGS}")
SET(CMAKE_CXX_FLAGS "-std=c++11 -g -O0  ${CMAKE_CXX_FLAGS} ${HARDENED_C_FLAGS}")
if(QT_5)
    find_package(Fcitx 4.2.7 REQUIRED)
    find_package(Qt5DBus REQUIRED)
    find_package(Qt5LinguistTools REQUIRED)
    find_package(Qt5Quick REQUIRED)
    find_package(Qt5QuickWidgets REQUIRED)
    find_package(Qt5Widgets REQUIRED)

    include_directories(
        ${Qt5DBus_INCLUDE_DIRS}
        ${Qt5Quick_INCLUDE_DIRS}
        ${Qt5QuickWidgets_INCLUDE_DIRS}
        ${Qt5Widgets_INCLUDE_DIRS}
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR})

    configure_file(${PROJECT_SOURCE_DIR}/config_qt5.h.in ${PROJECT_BINARY_DIR}/config.h)

    SET(fcitx-qimpanel_RCCS qml.qrc)
    set(fcitx-qimpanel_SRCS main.cpp main_controller.cpp toplevel.cpp
        main_model.cpp kimpanelagent.cpp candidate_word.cpp system_tray_menu.cpp
        my_action.cpp skin/skinbase.cpp skin/skinfcitx.cpp)
    QT5_ADD_DBUS_ADAPTOR(fcitx-qimpanel_SRCS
        org.kde.impanel.xml
        kimpanelagent.h
        PanelAgent)

    QT5_ADD_RESOURCES(fcitx-qimpanel_RCC_SRCS ${fcitx-qimpanel_RCCS})

    add_executable(fcitx-qimpanel ${fcitx-qimpanel_SRCS} ${fcitx-qimpanel_RCC_SRCS})
    set_target_properties(fcitx-qimpanel PROPERTIES AUTOMOC TRUE)
    target_link_libraries(
        fcitx-qimpanel
        fcitx-config
        fcitx-utils
        ${Qt5DBus_LIBRARIES}
        ${Qt5Quick_LIBRARIES}
        ${Qt5QuickWidgets_LIBRARIES}
        ${Qt5Widgets_LIBRARIES})
endif()
if(QT_4)
    find_package(Fcitx 4.2.7 REQUIRED)
    find_package(Qt4 REQUIRED)

    configure_file(${PROJECT_SOURCE_DIR}/config_qt4.h.in ${PROJECT_BINARY_DIR}/config.h)

    include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR})

    SET(fcitx-qimpanel_RCCS qml.qrc)
    set(fcitx-qimpanel_SRCS main.cpp main_controller.cpp toplevel.cpp
        main_model.cpp kimpanelagent.cpp candidate_word.cpp system_tray_menu.cpp
        my_action.cpp skin/skinbase.cpp skin/skinfcitx.cpp)
    QT4_ADD_DBUS_ADAPTOR(fcitx-qimpanel_SRCS
        org.kde.impanel.xml
        kimpanelagent.h
        PanelAgent)

    QT4_ADD_RESOURCES(fcitx-qimpanel_RCC_SRCS ${fcitx-qimpanel_RCCS})

    add_executable(fcitx-qimpanel ${fcitx-qimpanel_SRCS} ${fcitx-qimpanel_RCC_SRCS})
    set_target_properties(fcitx-qimpanel PROPERTIES AUTOMOC TRUE)
    target_link_libraries(fcitx-qimpanel fcitx-config fcitx-utils
        ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY}
        ${QT_QTDBUS_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
endif()

    set(pkgbindir 	/usr/bin/)
    set(pkgdatadir 	/usr/share/fcitx-qimpanel)
    install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${pkgbindir})

    add_subdirectory(ubuntu-default-skin)
    add_subdirectory(config-tool)
    add_subdirectory(po)

=== config-tool/CMakeLists.txt ===
project(fcitx-qimpanel-configtool)
cmake_minimum_required(VERSION 2.8.6)
option(QT_5 "This is a option for QT_5" ON)
option(QT_4 "This is a option for QT_4" OFF)
find_package(Fcitx 4.2.7 REQUIRED)
if(QT_5)
    find_package(Qt5DBus REQUIRED)
    find_package(Qt5LinguistTools REQUIRED)
    find_package(Qt5Quick REQUIRED)
    find_package(Qt5QuickWidgets REQUIRED)

    configure_file(${PROJECT_SOURCE_DIR}/config_qt5.h.in ${PROJECT_BINARY_DIR}/config.h)

    include_directories(BEFORE
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR})

    SET(fcitx-qimpanel-configtool_RCCS main.qrc)

    set(fcitx-qimpanel-configtool_SRCS main.cpp
        mainwindow.cpp
        main_model.cpp
        candidate_word.cpp
        editingskindialog.cpp
        skin/skinbase.cpp
        skin/skinfcitx.cpp
        )
    set(fcitx-qimpanel-configtool_FORMS mainwindow.ui
        editingskindialog.ui
        )

    QT5_ADD_RESOURCES(fcitx-qimpanel-configtool_RCC_SRCS ${fcitx-qimpanel-configtool_RCCS})
    QT5_WRAP_UI(helloworld_FORMS_HEADERS ${fcitx-qimpanel-configtool_FORMS})

    add_executable(fcitx-qimpanel-configtool ${fcitx-qimpanel-configtool_SRCS} ${fcitx-qimpanel-configtool_RCC_SRCS} ${fcitx-qimpanel-configtool_FORMS})
    set_target_properties(fcitx-qimpanel-configtool PROPERTIES AUTOMOC TRUE)

    target_link_libraries(
        fcitx-qimpanel-configtool
        fcitx-utils
        ${Qt5DBus_LIBRARIES}
        ${Qt5Quick_LIBRARIES}
        ${Qt5QuickWidgets_LIBRARIES})

endif()
if(QT_4)
    find_package(Qt4 REQUIRED)

    configure_file(${PROJECT_SOURCE_DIR}/config_qt4.h.in ${PROJECT_BINARY_DIR}/config.h)

    include_directories(BEFORE ${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR})

    SET(fcitx-qimpanel-configtool_RCCS main.qrc)

    set(fcitx-qimpanel-configtool_SRCS main.cpp
        mainwindow.cpp
        main_model.cpp
        candidate_word.cpp
        editingskindialog.cpp
        skin/skinbase.cpp
        skin/skinfcitx.cpp
        )
    set(fcitx-qimpanel-configtool_FORMS mainwindow.ui
        editingskindialog.ui
        )

    QT4_ADD_RESOURCES(fcitx-qimpanel-configtool_RCC_SRCS ${fcitx-qimpanel-configtool_RCCS})
    QT4_WRAP_UI(helloworld_FORMS_HEADERS ${fcitx-qimpanel-configtool_FORMS})

    add_executable(fcitx-qimpanel-configtool ${fcitx-qimpanel-configtool_SRCS} ${fcitx-qimpanel-configtool_RCC_SRCS} ${fcitx-qimpanel-configtool_FORMS})
    set_target_properties(fcitx-qimpanel-configtool PROPERTIES AUTOMOC TRUE)

    target_link_libraries(fcitx-qimpanel-configtool fcitx-utils
        ${QT_QTCORE_LIBRARY}
        ${QT_QTGUI_LIBRARY}
        ${QT_QTDBUS_LIBRARY}
        ${QT_QTDECLARATIVE_LIBRARY}
        #${QT_QTNETWORK_LIBRARY}
        )
endif()
    install(FILES fcitx_ubuntukylin.png DESTINATION /usr/share/pixmaps)
    install(FILES fcitx-qimpanel-configtool.desktop DESTINATION /usr/share/applications)
    set(pkgbindir 	/usr/bin/)
    set(pkgdatadir 	/usr/share/fcitx-qimpanel)
    install(TARGETS fcitx-qimpanel-configtool RUNTIME DESTINATION ${pkgbindir})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -29,5 +29,6 @@
   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/update-qimpanel-pot
 )
 ADD_CUSTOM_TARGET(pot_file
-  DEPENDS ${POT_FILE}
+  ALL DEPENDS ${POT_FILE}
 )
+

=== ubuntu-default-skin/CMakeLists.txt ===

set(pkgbindir 	/usr/bin/)
set(pkgdatadir 	/usr/share/fcitx-qimpanel)

foreach(skin ubuntu-grey ubuntu-milk ubuntu-orange)
    install(DIRECTORY ${skin} DESTINATION ${pkgdatadir}/skin)
endforeach(skin ubuntu-orange)

=== debian/changelog ===
fcitx-qimpanel (2.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sat, 18 Jul 2015 21:22:29 +0800

fcitx-qimpanel (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #777221)

 -- Aron Xu <aron@debian.org>  Fri, 06 Feb 2015 21:12:56 +0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Build-Depends: cmake,
                debhelper (>= 9),
                fcitx-libs-dev (>= 1:4.2.8.1),
-               qtbase5-dev,
-               qtdeclarative5-dev,
+               pkg-config,
+               qtbase5-dev (>= 5.4.2~),
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
+               qtdeclarative5-dev
 Standards-Version: 3.9.6
 Homepage: http://github.com/lenky0401/fcitx-qimpanel

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@  --parallel --fail-missing
override_dh_makeshlibs:

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	    -DQT_4=OFF \
	    -DQT_5=ON

## fcitx-qimpanel 2.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 cmake_minimum_required(VERSION 2.8.6)
 option(QT_5 "This is a option for QT_5" OFF)
 option(QT_4 "This is a option for QT_4" ON)
-SET(CMAKE_C_FLAGS "-std=c++11 -g -O0  ${CMAKE_C_FLAGS} ${HARDENED_C_FLAGS}")
-SET(CMAKE_CXX_FLAGS "-std=c++11 -g -O0  ${CMAKE_CXX_FLAGS} ${HARDENED_C_FLAGS}")
+SET(CMAKE_C_FLAGS "-std=c++11 -g -O0 -DPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' ${CMAKE_C_FLAGS} ${HARDENED_C_FLAGS}")
+SET(CMAKE_CXX_FLAGS "-std=c++11 -g -O0 -DPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' ${CMAKE_CXX_FLAGS} ${HARDENED_C_FLAGS}")
 if(QT_5)
     find_package(Fcitx 4.2.7 REQUIRED)
     find_package(Qt5DBus REQUIRED)
@@ -71,8 +71,8 @@
         ${QT_QTDBUS_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})
 endif()
 
-    set(pkgbindir 	/usr/bin/)
-    set(pkgdatadir 	/usr/share/fcitx-qimpanel)
+    set(pkgbindir       ${CMAKE_INSTALL_PREFIX}/bin)
+    set(pkgdatadir      ${CMAKE_INSTALL_PREFIX}/share/fcitx-qimpanel)
     install(TARGETS fcitx-qimpanel RUNTIME DESTINATION ${pkgbindir})
 
     add_subdirectory(ubuntu-default-skin)

=== config-tool/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
 cmake_minimum_required(VERSION 2.8.6)
 option(QT_5 "This is a option for QT_5" ON)
 option(QT_4 "This is a option for QT_4" OFF)
+SET(CMAKE_C_FLAGS "-DPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' ${CMAKE_C_FLAGS}")
+SET(CMAKE_CXX_FLAGS "-DPREFIX='\"${CMAKE_INSTALL_PREFIX}\"' ${CMAKE_CXX_FLAGS}")
 find_package(Fcitx 4.2.7 REQUIRED)
 if(QT_5)
     find_package(Qt5DBus REQUIRED)
@@ -79,8 +81,8 @@
         #${QT_QTNETWORK_LIBRARY}
         )
 endif()
-    install(FILES fcitx_ubuntukylin.png DESTINATION /usr/share/pixmaps)
-    install(FILES fcitx-qimpanel-configtool.desktop DESTINATION /usr/share/applications)
-    set(pkgbindir 	/usr/bin/)
-    set(pkgdatadir 	/usr/share/fcitx-qimpanel)
+    install(FILES fcitx_ubuntukylin.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps)
+    install(FILES fcitx-qimpanel-configtool.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
+    set(pkgbindir       ${CMAKE_INSTALL_PREFIX}/bin)
+    set(pkgdatadir      ${CMAKE_INSTALL_PREFIX}/share/fcitx-qimpanel)
     install(TARGETS fcitx-qimpanel-configtool RUNTIME DESTINATION ${pkgbindir})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
     WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
     DEPENDS ${_file}
   )
-  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION /usr/share/locale/${_lang}/LC_MESSAGES/ RENAME ${MO_FILE})
+  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${CMAKE_INSTALL_PREFIX}/share/locale/${_lang}/LC_MESSAGES/ RENAME ${MO_FILE})
   _GETTEXT_GET_UNIQUE_TARGET_NAME( pofiles uniqueTargetName)
   ADD_CUSTOM_TARGET(${uniqueTargetName} ALL DEPENDS ${_gmoFile})
 ENDFOREACH(_file)

=== ubuntu-default-skin/CMakeLists.txt ===

set(pkgbindir   ${CMAKE_INSTALL_PREFIX}/bin)
set(pkgdatadir  ${CMAKE_INSTALL_PREFIX}/share/fcitx-qimpanel)

foreach(skin ubuntu-grey ubuntu-milk ubuntu-orange)
    install(DIRECTORY ${skin} DESTINATION ${pkgdatadir}/skin)
endforeach(skin ubuntu-orange)

=== debian/changelog ===
fcitx-qimpanel (2.1.3-1) unstable; urgency=medium

  * Merge upstream/2.1.3
  * Remove unused d/files
  * Drop patches, merged upstream

 -- Aron Xu <aron@debian.org>  Sat, 30 Sep 2017 14:51:23 +0800

fcitx-qimpanel (2.1.2-3) unstable; urgency=medium

  * Add qml-module-qtquick2 to Depends.

 -- Aron Xu <aron@debian.org>  Wed, 27 Sep 2017 17:03:46 +0800

fcitx-qimpanel (2.1.2-2) unstable; urgency=medium

  * debian/patches/ubuntu-1590324.patch:
    Fix crash in systray menu clear (LP: #1590324)
  * debian/rules: hardening=+all
  * debian/control:
    - Update std-ver to 3.9.8, no change.
    - Update upstream homepage

 -- Aron Xu <aron@debian.org>  Tue, 27 Dec 2016 11:41:16 +0800

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                qttools5-dev,
                qttools5-dev-tools,
                qtdeclarative5-dev
-Standards-Version: 3.9.6
-Homepage: http://github.com/lenky0401/fcitx-qimpanel
+Standards-Version: 4.0.0
+Homepage: http://github.com/UbuntuKylin/fcitx-qimpanel
 
 Package: fcitx-ui-qimpanel
 Architecture: any
@@ -21,6 +21,7 @@
          fcitx-modules,
          fcitx-module-dbus (>= 1:4.2.8.1),
          fcitx-module-kimpanel (>= 1:4.2.8.1),
+         qml-module-qtquick2,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: fcitx (>= 1:4.2.8.1)

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/default.mk
 CFLAGS += $(CPPFLAGS)
